
Core - Task # 39134

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:
Created: 2012-07-20 Assigned To:
Updated: 2012-07-29 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: easy
Sprint Focus:
Subject: t3lib_utility_array::arrayExport should recognize int keys
Description

psoudo code:
$lines = 'array(' . LF;
        $level ++;
// determine if keys are int from 0 to n, without gaps, then $isIntKey = TRUE
foreach ($array as $key => $value) {
                // if isIntKey
            $lines = '';
            else $lines .= str_repeat(TAB, $level) . '\'' . $key . '\' => ';

Related issues:
related to Core - Feature # 38562: Refactor localconf.php handling Resolved 2012-07-02

Associated revisions
Revision 04857a5d - 2012-07-29 18:47 - Christian Kuhn

[FEATURE] arrayExport() should recognize int keys

t3lib_utility_Array::arrayExport() currently exports array keys always
as strings. With the patch integer array keys are now recognized and
written as integers. Additionally, if all array keys are integers and
consecutive from zero to n, the key is left out completly. See the
unit tests for details.

This is useful for the extListArray in LocalConfiguration, which now
misses the array key and makes the array even more easy to handle.

Change-Id: I6233798a8d22257f542c575791f95226220703ca
Resolves: #39134
Releases: 6.0
Reviewed-on: http://review.typo3.org/13317
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Revision 5e3639c2 - 2012-08-08 16:07 - Christian Kuhn

[FEATURE] arrayExport() should recognize int keys

t3lib_utility_Array::arrayExport() currently exports array keys always
as strings. With the patch integer array keys are now recognized and
written as integers. Additionally, if all array keys are integers and
consecutive from zero to n, the key is left out completly. See the
unit tests for details.

This is useful for the extListArray in LocalConfiguration, which now
misses the array key and makes the array even more easy to handle.

Change-Id: I6233798a8d22257f542c575791f95226220703ca
Resolves: #39134
Releases: 6.0
Reviewed-on: http://review.typo3.org/13317
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision f21452d0 - 2012-08-12 14:03 - Christian Kuhn

[FEATURE] arrayExport() should recognize int keys

t3lib_utility_Array::arrayExport() currently exports array keys always
as strings. With the patch integer array keys are now recognized and
written as integers. Additionally, if all array keys are integers and
consecutive from zero to n, the key is left out completly. See the
unit tests for details.

This is useful for the extListArray in LocalConfiguration, which now
misses the array key and makes the array even more easy to handle.

Change-Id: I6233798a8d22257f542c575791f95226220703ca
Resolves: #39134
Releases: 6.0
Reviewed-on: http://review.typo3.org/13317
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-07-28 19:14 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13317

#2 - 2012-07-28 19:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13317

#3 - 2012-07-29 19:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:04857a5d14eb52e3436bfbb2e17612870654f54d.
